export default {
  methods: {
		setInspectionResult(index, value, label) {
		  console.log("setInspectionResult",index, value, label);
		  this.itemData.detail[index].inspectionResult = value; // 0正常 1异常
		  this.itemData.detail[index].inspectionResultLable = label;
			if(value == 0) {
				this.itemData.detail[index].conclusion = ''
				this.itemData.detail[index].photos = []
			}
		},
    showPopup(item, index) {
      console.log("showPopup", item);
      this.currentIndex = index;
      this.$refs.customPopup.open(item);
    },
    setNormal() {
      this.itemData.detail.forEach((item) => {
        item.inspectionResult = 0;
				item.inspectionResultLable = '正常'
      });
      console.log("this.isQt", this.isQt);
      if (!this.isQt) {
        this.itemData.status = 1;
      }
    },
  },
};
